## xininfo 0.14.11

=== Makefile ===
QUIET?=@
CFLAGS?=-Wall -Wextra -O3 -g
VERSION?=0.14.11

PROGRAM=xininfo

MANPAGE_SOURCE=$(PROGRAM).markdown
MANPAGE=$(PROGRAM).1

PREFIX?=$(DESTDIR)/usr
BIN_DIR?=$(PREFIX)/bin


SOURCE_DIR=source
CONFIG_DIR=config
DOC_DIR=doc
BUILD_DIR=build

SOURCES=$(wildcard $(SOURCE_DIR)/*.c $(CONFIG_DIR)/*.c )
OBJECTS=$(SOURCES:%.c=$(BUILD_DIR)/%.o)
HEADERS=$(wildcard include/*.h)
OTHERS=Makefile LICENSE doc/xininfo.1 doc/xininfo.markdown

INSTALL_PROGRAM=$(BIN_DIR)/$(PROGRAM)
INSTALL_MANPAGE=$(PREFIX)/share/man/man1/$(MANPAGE)


DIST_TARGET=$(BUILD_DIR)/$(PROGRAM)-$(VERSION).tar.xz


CFLAGS+=-std=c99
CFLAGS+=-Iinclude/
CFLAGS+=-DVERSION="\"$(VERSION)\"" -DMANPAGE_PATH="\"$(INSTALL_MANPAGE)\""

LDADD=-lm
# Check deps.
ifeq (${DEBUG},1)
CFLAGS+=-DTIMING=1 -g3
LDADD+=-lrt
endif

CLANG=$(shell which clang)

ifneq (${CLANG},${EMPTY})
    $(info Using clang compiler: ${CLANG})
    CC=${CLANG}
endif


##
# Check dependencies
##
PKG_CONFIG?=$(shell which pkg-config)
ifeq (${PKG_CONFIG},${EMPTY})
$(error Failed to find pkg-config. Please install pkg-config)
endif

CFLAGS+=$(shell ${PKG_CONFIG} --cflags x11 xinerama xrandr )
LDADD+=$(shell ${PKG_CONFIG} --libs x11 xinerama  xrandr )

ifeq (${LDADD},${EMPTY})
$(error Failed to find the required dependencies: x11, xinerama )
endif


all: $(BUILD_DIR)/$(PROGRAM)

$(BUILD_DIR):
	$(info Creating build dir)
	$(QUIET)mkdir -p $@
	$(QUIET)mkdir -p $@/$(SOURCE_DIR)
	$(QUIET)mkdir -p $@/$(CONFIG_DIR)
	$(QUIET)mkdir -p $@/$(DOC_DIR)

# Objects depend on header files and makefile too.
$(BUILD_DIR)/%.o: %.c Makefile $(HEADERS) | $(BUILD_DIR)
	$(info Compiling $< -> $@)
	$(QUIET) $(CC) $(CFLAGS) -c -o $@ $<

$(BUILD_DIR)/$(PROGRAM): $(OBJECTS)
	$(info Linking   $@)
	$(QUIET)$(CC) -o $@ $^  $(LDADD) $(LDFLAGS)

$(BUILD_DIR)/$(DOC_DIR)/$(MANPAGE): $(DOC_DIR)/$(MANPAGE_SOURCE)
	$(info geerate manpage $^-> $@)
	$(QUIET)md2man-roff $^ > $@

$(INSTALL_PROGRAM): $(BUILD_DIR)/$(PROGRAM)
	$(info Install   $^ -> $@ )
	$(QUIET)install -Dm 755 $^ $@

$(INSTALL_MANPAGE): $(BUILD_DIR)/$(DOC_DIR)/$(MANPAGE)
	$(info Install   $^ -> $@ )
	$(QUIET)install -Dm 755 $^ $@

install: $(INSTALL_PROGRAM) $(INSTALL_MANPAGE)

clean:
	$(info Clean build dir)
	$(QUIET)rm -rf $(BUILD_DIR)


indent:
	@astyle --style=linux -S -C -D -N -H -L -W3 -f $(SOURCES) $(HEADERS)

dist: $(DIST_TARGET)

$(BUILD_DIR)/$(PROGRAM)-$(VERSION): $(SOURCES) $(HEADERS) $(OTHERS) | $(BUILD_DIR)
	$(info Create release directory)
	$(QUIET)mkdir -p $@
	$(QUIET)cp -a --parents $^ $@


$(DIST_TARGET): $(BUILD_DIR)/$(PROGRAM)-$(VERSION)
	$(info Creating release tarball: $@)
	$(QUIET) tar -C $(BUILD_DIR) -cavvJf $@ $(PROGRAM)-$(VERSION)

=== debian/changelog ===
xininfo (0.14.11-5) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from pkg-config to pkgconf in Build-Depends field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: added packaging rights for some people.
  * debian/gbp.conf: dropped.
  * debian/patches/01_allow-gcc-hardening.patch: created to allow the build
    process to use GCC hardening.
  * debian/rules:
      - Dropped all trash.
      - Dropped deprecated DH addon '--with autoreconf'.
      - Dropped lines setting build flags statically.
      - Replaced override_dh_auto_build with execute_after_dh_auto_build.
  * debian/salsa-ci.yml: created to provide CI tests on Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 07 Feb 2026 12:19:19 -0300

xininfo (0.14.11-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Update vcs urls to point to salsa.
  * debian/control: Remove dh-autoreconf from Build-Depends.
  * debian/watch: Bump to version 4.
  * debian/control: Set Rules-Requires-Root to no.
  * debian/copyright: Edit Format field to use a secure protocol.

 -- Thais Reboucas Araujo <thaysreb@gmail.com>  Fri, 30 Jun 2023 16:23:26 -0300

xininfo (0.14.11-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Jun 2023 14:01:58 -0300

xininfo (0.14.11-2) experimental; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Victor Yukio <yukio.link@gmail.com>  Sat, 27 May 2023 14:10:13 +0000

xininfo (0.14.11-1) unstable; urgency=low

  * Initial release (Closes: #842975)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 02 Nov 2016 14:18:31 -0400

=== debian/control ===
Source: xininfo
Section: x11
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
             , libx11-dev
             , libxinerama-dev
             , libxrandr-dev
             , pkgconf
Standards-Version: 4.7.3
Homepage: https://github.com/DaveDavenport/xininfo
Vcs-Git: https://salsa.debian.org/debian/xininfo.git
Vcs-Browser: https://salsa.debian.org/debian/xininfo

Package: xininfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small helper program for monitor layouts
 xininfo is an X11 utility to query the current layout and size of
 each configured monitor. It is designed to be used by scripts.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
        # assume existing manpage is up to date, as Debian doesn't
        # have md2man-nroff to rebuild it
	[ -e doc/xininfo.1 ] && ( $(MAKE) build && cp doc/xininfo.1 build/doc )

=== debian/watch ===
Version: 5

Template: Github
Owner: DaveDavenport
Project: xininfo
